Bug 202676 - devel/tcltls: tcltls 1.6.4 and libressl 2.2.2 conflicting file /usr/local/include/tls.h
Summary: devel/tcltls: tcltls 1.6.4 and libressl 2.2.2 conflicting file /usr/local/inc...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Mikhail Teterin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-26 14:50 UTC by Alex
Modified: 2015-10-08 19:02 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (mi)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex 2015-08-26 14:50:45 UTC
Installing tcltls-1.6.4 from ports is not possible anymore. make install gives following error if libressl 2.2.2 is installed:

Installing tcltls-1.6.4...
pkg-static: tcltls-1.6.4 conflicts with libressl-2.2.2 (installs files into the same place).  Problematic file: /usr/local/include/tls.h
Comment 1 Mikhail T. 2015-08-26 15:33:35 UTC
(In reply to Alex from comment #0)
> pkg-static: tcltls-1.6.4 conflicts with libressl-2.2.2 (installs files into the same place).  Problematic file: /usr/local/include/tls.h

Seems like a problem with the libressl-port... Reassigning to maintainer.
Comment 2 Pietro Cerutti freebsd_committer 2015-09-17 18:17:17 UTC
Perhaps renaming the tcltls include file to tcltls.h upon installation is in order.
Comment 3 Bernard Spil freebsd_committer 2015-09-18 20:09:54 UTC
Please see https://reviews.freebsd.org/D3695

Let me know you see any issues with this patch.
Comment 4 Pietro Cerutti freebsd_committer 2015-10-08 14:46:18 UTC
Reassign to mi@. In the differential revision I suggested to remove tls.h altogether from tcltls' distribution list. To the best of my knowledge that header file is not used by anybody outside the port, and doesn't expose anything interesting.
Comment 5 Mikhail T. 2015-10-08 17:03:55 UTC
(In reply to Pietro Cerutti from comment #4)
Indeed. And, looking inside the header, I see, that it does not even declare anything other than the Tls_Init and Tls_SafeInit functions.

Please, go ahead with the commit, if you'd like. Thanks!
Comment 6 Bernard Spil freebsd_committer 2015-10-08 18:24:30 UTC
Hi Mikhail,

Revised patch now available through https://reviews.freebsd.org/D3695

Thanks!

Bernard.
Comment 7 commit-hook freebsd_committer 2015-10-08 19:00:06 UTC
A commit references this bug:

Author: mi
Date: Thu Oct  8 18:59:41 UTC 2015
New revision: 398884
URL: https://svnweb.freebsd.org/changeset/ports/398884

Log:
  Do not install tls.h -- it does not declare anything useful but
  conflicts with the file installed by LibreSSL.

  PR:		202676

Changes:
  head/devel/tcltls/Makefile
Comment 8 Mikhail T. 2015-10-08 19:02:07 UTC
This should be fixed now. Instead of modifying upstream's Makefile, I chose to set a different INSTALL_TARGET. Thanks to all participants.